---
lang: en
title: 'API docs: boot.controllerbooter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.controllerbooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ControllerBooter](./boot.controllerbooter.md)

## ControllerBooter class

A class that extends BaseArtifactBooter to boot the 'Controller' artifact type. Discovered controllers are bound using `app.controller()`<!-- -->.

Supported phases: configure, discover, load

<b>Signature:</b>

```typescript
export declare class ControllerBooter extends BaseArtifactBooter 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, controllerConfig)](./boot.controllerbooter._constructor_.md) |  | Constructs a new instance of the <code>ControllerBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./boot.controllerbooter.app.md) |  | <code>Application</code> |  |
|  [controllerConfig](./boot.controllerbooter.controllerconfig.md) |  | <code>ArtifactOptions</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [load()](./boot.controllerbooter.load.md) |  | Uses super method to get a list of Artifact classes. Boot each class by binding it to the application using <code>app.controller(controller);</code>. |


